Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>
BuildArch:	i686

Summary:   	The OpenSSH package contains ssh clients and the sshd daemon.
Name:      	openssh
Version:   	5.1p1
Release:   	1
Provides:	openssh
License: 	GNU/GPL
URL:		http://sunsite.ualberta.ca/pub/OpenBSD/OpenSSH/portable/
Group:     	System/Servers          
Source0: 	%{name}-%{version}.tar.gz
Source1: 	sshd.init
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	glibc-devel openssl-devel pam-devel zlib-devel >= 1.2.3
PreReq:		chkconfig
Obsoletes:	%{name}-man

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
SSH (Secure SHell) is a program for logging into and executing
commands on a remote machine. SSH is intended to replace rlogin and
rsh, and to provide secure encrypted communications between two
untrusted hosts over an insecure network. X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's version of the last free version of SSH, bringing
it up to date in terms of security and features, as well as removing
all patented algorithms to separate libraries.

%pre
if [ $1 -eq 1 ]; then
    groupadd -g 51 sshd &>/dev/null || :
    useradd -c 'sshd privsep' -d /var/empty -s /bin/false -g sshd -u 51 sshd &>/dev/null || :
fi


%postun
if [ $1 -eq 0 ]; then
    /usr/sbin/userdel sshd &>/dev/null || :
    /usr/sbin/groupdel sshd &>/dev/null || :
fi

%package server
Summary:	The OpenSSH server daemon.
Group:     	System/Servers          
Requires: 	openssh = %{version}-%{release} 
Obsoletes:	openssh-server-man

%description server
OpenSSH is a free version of SSH (Secure SHell), a program for logging
into and executing commands on a remote machine. This package contains
the secure shell daemon (sshd). The sshd daemon allows SSH clients to
securely connect to your SSH server. You also need to have the openssh
package installed.

%post server
/sbin/chkconfig --add sshd
/sbin/chkconfig sshd on

# Restart sshd if we are upgrading...
if test $1 -gt 1; then
        /etc/rc.d/init.d/sshd stop 1>/dev/null 2>&1
        /etc/rc.d/init.d/sshd start 1>/dev/null 2>&1
fi

if [ $1 -eq 1 ]; then
    ssh-keygen -f /etc/ssh/ssh_host_key -N '' -t rsa1 &>/dev/null || :
    ssh-keygen -f /etc/ssh/ssh_host_rsa_key -N '' -t rsa &>/dev/null || :
    ssh-keygen -f /etc/ssh/ssh_host_dsa_key -N '' -t dsa &>/dev/null || :
fi

%preun server
if test $1 = 0; then
        /etc/rc.d/init.d/sshd stop 1>/dev/null 2>&1
        /sbin/chkconfig --del sshd
fi


%package clients
Summary:	OpenSSH clients.
Group:     	Networking/Remote Access          
Requires: 	openssh = %{version}-%{release}
Obsoletes:	openssh-clients-man

%description clients
OpenSSH is a free version of SSH (Secure SHell), a program for logging
into and executing commands on a remote machine. This package includes
the clients necessary to make encrypted connections to SSH servers.
You'll also need to install the openssh package on OpenSSH clients.

%prep
%setup -n openssh-%{version}

%build
./configure --prefix=%_prefix \
--sysconfdir=%_sysconfdir/ssh \
--libexecdir=%_sbindir \
--mandir=%_mandir \
--with-md5-passwords \
--with-pam
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%_sysconfdir/pam.d
install -d -m 755 $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d/sshd
install -m644 contrib/redhat/sshd.pam      $RPM_BUILD_ROOT/etc/pam.d/sshd

%files
%defattr(-,root,root)
%_bindir/ssh-add
%_bindir/ssh-agent
%_bindir/ssh-keygen
%_bindir/ssh-keyscan
%_bindir/sftp
%_datadir/Ssh.bin
%_sbindir/ssh-keysign
%_sysconfdir/ssh/moduli
%_mandir/man1/ssh-agent.1*
%_mandir/man1/ssh-keygen.1*
%_mandir/man1/ssh-keyscan.1*
%_mandir/man1/sftp.1*
%_mandir/man1/slogin.1*
%_mandir/man1/ssh-add.1*
%_mandir/man5/moduli.5*
%_mandir/man8/ssh-keysign.8*

%files server
%defattr(-,root,root)
%dir /var/empty
%attr(0600,root,root) %config(noreplace) %_sysconfdir/ssh/sshd_config
%attr(0644,root,root) %config(noreplace) %_sysconfdir/pam.d/sshd
%_sysconfdir/rc.d
%_sbindir/sftp-server
%_sbindir/sshd
%_mandir/man5/sshd_config.5*
%_mandir/man8/sftp-server.8*
%_mandir/man8/sshd.8*

%files clients
%defattr(-,root,root)
%config(noreplace) %_sysconfdir/ssh/ssh_config
%_bindir/scp
%_bindir/slogin
%_bindir/ssh
%_mandir/man1/scp.1*
%_mandir/man1/ssh.1*
%_mandir/man5/ssh_config.5*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 5.1p1-1
- version update
* Thu Apr 24 2008 Christian Metzen <metzench@ccux-linux.de> 5.0p1-2
- obsolete man packages
* Fri Apr 04 2008 Karsten Brockmann <arcam@ccux-linux.de> 5.0p1-1
- version update
* Mon Mar 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.9p1-1
- version update
- moved manpages to seperate packages
* Wed Sep 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.7p1-1
- version update
* Sun Mar 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.6p1-1
- version update
* Fri Sep 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.4p1-1
- version update
* Wed Jun 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.3p2-1
- version update
* Thu Feb 02 2006 Christian Wasem <wasem@ccux-linux.de> 4.3p1-1
- Update to Version 4.3p1
* Mon Oct 10 2005 Christian Wasem <wasem@ccux-linux.de> 4.2p1-2
- tweaked specfile, changed clients group to Networking/Remote Access          
* Thu Sep 01 2005 Christian Metzen <metzench@ccux-linux.de> 4.2p1-1
- Version update
* Thu Aug 18 2005 Christian Metzen <metzench@ccux-linux.de> 4.1p1-3
- Rebuild against pam
* Sun Jul 10 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 4.1p1-2
- rebuilt against openssl 0.9.8
* Sat Jun 25 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 4.1p1-1
- Version Update to 4.1p1
* Thu Jun 02 2005 Stefan Gottwald <gotti@ccux-linux.de> 4.0p1-2
- Fixed runlevel symlinks, removed xinetd requirement
* Tue Mar 15 2005 Christian Metzen <metzench@ccux-linux.de> 4.0p1-1
- Version Update to 4.0p1
* Sat Jan 15 2005 Christian Metzen <metzench@ccux-linux.de> 3.9p1-3
- Fixed some minor Bugs
* Wed Sep 22 2004 Christian Metzen <metzench@ccux-linux.de> 3.9p1-2
- Version Update to 3.9p1
